// Some defines regarding keycodes

#define PRESS_UP     	72    // Key code for 'arrow-up' key pressed!
#define PRESS_DOWN   	80    // Key code for 'arrow-down' key pressed!
#define PRESS_LEFT      75    // Key code for 'arrow-left' key pressed!
#define PRESS_RIGHT	77    // Key code for 'arrow-right' key pressed!
#define PRESS_PGUP	73    // Key code for 'page-up' key pressed!
#define PRESS_PGDOWN	81    // Key code for 'page-down' key pressed!
#define PRESS_ALT	56    // Key code for 'alt' key pressed!
#define PRESS_SPACE	57    // Key code for 'space-bar' key pressed!
#define PRESS_HOME      71    // Key code for 'home' key pressed!
#define PRESS_END       79    // Key code for 'end' key pressed!
#define PRESS_INS       82    // Key code for 'ins' key pressed!
#define PRESS_DEL       83    // Key code for 'del' key pressed!
#define RELEASE_UP   	200   // Key code for 'arrow-up' key released!
#define RELEASE_DOWN 	208   // Key code for 'arrow-down' key released!
#define RELEASE_LEFT 	203   // Key code for 'arrow-left' key released!
#define RELEASE_RIGHT   205   // Key code for 'arrow-right' key released!
#define RELEASE_PGUP    201   // Key code for 'page-up' key released!
#define RELEASE_PGDOWN  209   // Key code for 'page-down' key released!
#define RELEASE_ALT     184   // Key code for 'alt' key released!
#define RELEASE_SPACE   185   // Key code for 'space-bar' key released!
#define RELEASE_HOME    199   // Key code for 'home' key released!
#define RELEASE_END     207   // Key code for 'end' key released!
#define RELEASE_INS     210   // Key code for 'ins' key released!
#define RELEASE_DEL     211   // Key code for 'del' key released!
#define PRESS_ESC       1     // Key code for 'esc' key pressed!

#define INDEX_UP        0
#define INDEX_DOWN      1
#define INDEX_LEFT      2
#define INDEX_RIGHT     3
#define INDEX_PGUP      4
#define INDEX_PGDOWN    5
#define INDEX_ALT       6
#define INDEX_SPACE     7
#define INDEX_HOME      8
#define INDEX_END       9
#define INDEX_INS       10
#define INDEX_DEL       11

#define NR_OF_KEYS      12  	// The number of defined keys



